App\Library\Amazon\Classes\Industrial:
    xml_root_name: Industrial
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\Industrial\ProductTypeAType
        crossSectionShape:
            expose: true
            access_type: public_method
            serialized_name: CrossSectionShape
            accessor:
                getter: getCrossSectionShape
                setter: setCrossSectionShape
            type: string
        indentationHardness:
            expose: true
            access_type: public_method
            serialized_name: IndentationHardness
            accessor:
                getter: getIndentationHardness
                setter: setIndentationHardness
            type: App\Library\Amazon\Classes\HardnessDimensionType
        itemDepth:
            expose: true
            access_type: public_method
            serialized_name: ItemDepth
            accessor:
                getter: getItemDepth
                setter: setItemDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        model:
            expose: true
            access_type: public_method
            serialized_name: Model
            accessor:
                getter: getModel
                setter: setModel
            type: string
        numberOfFlutes:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFlutes
            accessor:
                getter: getNumberOfFlutes
                setter: setNumberOfFlutes
            type: integer
